<?php
/*************************************************************************
    NFO Real Sprite Shifter 2.0
    Copyright (C) 2007,2009,2010  Jasper Vries

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="style.css" />
<title>NFO Real Sprite Shifter 2.0</title>
</head>

<body>
<div class="main">
<h1>NFO Real Sprite Shifter 2.0</h1>
<?php
if (isset($_POST['submit'])) {
	echo "<h2 class=\"post_input\">Shifted NFO Code</h2><p class=\"post_input\">Xpos shifted by: ";
	if (!is_numeric($_POST['xpos'])) echo "ERROR: PLEASE ENTER A NUMERIC VALUE";
	else echo htmlspecialchars($_POST['xpos']);
	echo ". Ypos shifted by: ";
	if (!is_numeric($_POST['ypos'])) echo "ERROR: PLEASE ENTER A NUMERIC VALUE";
	else echo htmlspecialchars($_POST['ypos']);
	echo ".</p>";
	
	include('nforss.function.php');
	
	echo "<textarea name=\"output\" rows=\"5\" cols=\"40\">";
	echo htmlspecialchars(shift_rel($_POST['input'], $_POST['xpos'], $_POST['ypos']));
	echo "</textarea>";
}
else {
?>
<p>Shift all real sprites' xpos and ypos.</p>
<p>Instructions:<ul><li>Copy NFO code into textbox.</li>
<li>Enter value to <i>add</i> to xpos.</li>
<li>Enter value to <i>add</i> to ypos.</li></ul>
Notes<ul><li>Use negative value to subtract from pos.</li>
<li>Leave zero to keep pos.</li>
<li>Format: spritenum pcxfile|pngfile <b>xpos ypos</b> compression ysize xsize xrel yrel</li></ul></p>
<?php
}
?>
<h2>Paste NFO below</h2>
<form name="Encoder" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<textarea name="input" rows="5" cols="40"></textarea>
Xpos: <input type="text" name="xpos" class="value" value="0" /><br />
Ypos: <input type="text" name="ypos" class="value" value="0" /><br />
<input type="submit" name="submit" value="submit" class="submit" />
</form>
</div>
<p><small>&copy;2007,2009,2011 <a href="http://www.jaspervries.nl/">Jasper Vries</a>. Some rights reserved. <a href="http://www.tt-forums.net/viewtopic.php?f=26&t=35521">Comments|suggestions</a>. <a href="nforealspriteshifter2.0.zip">Source download</a>.</small></p>
</body>
</html>
